"This module stores the export form for sections"

from abaqusGui import *

execfile(os.path.join(os.path.dirname(os.path.dirname(__file__)), "commonExec.py")) # Initializes the importFile function
(settings, multExportForm, sectionExportDB) = importFile(__file__, ("caeXML_3DS_IR.kernel.settings", "caeXML_3DS_IR.gui.multExportForm", "caeXML_3DS_IR.sections.sectionExportDB")) # Allows base-package directory to be changed

#
# Class definition
#
class SectionExportForm(multExportForm.MultExportForm):
    "The class for definition of the form for section exporting"

    # The constructor for the form
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, owner, settingsStr, ownerForm, exportMode):
        "Constructor for form"
        self.numFields = 2
        self.fieldLabels = ["Model", "Section"]
        multExportForm.MultExportForm.__init__(self, owner, settingsStr, ownerForm, exportMode)
        modelKw = AFXStringTarget("")
        sectionKw = AFXStringTarget("")
        self.comboKw.append(modelKw)
        self.comboKw.append(sectionKw)

    # Getfirst Step function
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def getFirstDialog(self):
        "Getfirst dialog function"
        self.curDb = sectionExportDB.SectionExportDB(self, self.titleStr, self.exportMode)
        return self.curDb
